/**
Theme Name: Theme Child Theme
Author: Webpanda
Author URI: https://webpanda.pl/
Description: This is a child theme. Do not delete.
Version: 2.2
License: GNU General Public License v2 or later
License URI: http://www.gnu.org/licenses/gpl-2.0.html
Text Domain: theme-child
Template: hello-elementor
*/

html {
scroll-behavior: smooth;
}

body, body h1, body h2, body h3, body h4, body h5, body h6, body p, body blockquote p, body div, body span {
  font-family: "Roboto", sans-serif;
}

@font-face {
    font-family: "Roboto";
    src: url("fonts/Roboto.eot");
    src: url("fonts/Roboto.eot#iefix") format("embedded-opentype"),
		 url("fonts/Roboto.woff2") format("woff2"),
		 url("fonts/Roboto.woff") format("woff"),
		 url("fonts/Roboto.ttf") format("truetype"),
		 url("fonts/Roboto.svg") format("svg");
		 font-weight: normal;
         font-style: normal;
		 font-display: swap;
}
body {text-underline-position:under;text-underline-offset:0px;}
/* GLOBAL STYLE */

/* END GLOBAL STYLE */


/* BLOG POST */
img {
height: auto;
max-width: 100%;
}
b,
strong {
font-weight: bold;
}
blockquote {
border-left: 4px solid rgba(0, 0, 0, 0.06);
padding: 10px 20px;
font-size: 1.1em;
font-style: italic;
margin: 10px 0px;
position: relative;
}
blockquote p:last-child {
margin: 0;
}
pre {
background: rgba(0, 0, 0, 0.06);
font-family: inherit;
font-size: inherit;
line-height: inherit;
margin: 10px 0px;
padding: 10px 20px;
overflow: auto;
max-width: 100%;
}
hr, .elementor hr {
background-color: rgba(0,0,0,1);
border: 0;
height: 1px;
margin-bottom: 10px;
margin-top: 10px;
}
fieldset {
padding: 0;
border: 0;
min-width: inherit;
}
fieldset legend {
padding: 0;
margin-bottom: 0;
}
/* Galleries */
.wp-block-gallery,
ul.blocks-gallery-grid {
margin-left: 0;
}
.wp-block-gallery .blocks-gallery-image figcaption,
.wp-block-gallery .blocks-gallery-item figcaption {
background: rgba(255, 255, 255, 0.4);
color: #000;
padding: 0;
-webkit-box-sizing: border-box;
        box-sizing: border-box;
}
.gallery {
margin-left: -6px;
margin-right: -6px;
margin-top: 20px;
margin-bottom: 20px;
}
.gallery-item {
display: inline-block;
text-align: center;
vertical-align: top;
width: 100%;
padding: 6px;
}
.gallery-icon {
padding: 0;
}
.gallery .gallery-item img{
border-radius: 0px;
vertical-align: top;
}
.gallery-columns-2 .gallery-item {
max-width: 50%;
}
.gallery-columns-3 .gallery-item {
max-width: 33.33%;
}
.gallery.gallery-columns-4 .gallery-item {
max-width: 25%;
}
.gallery-columns-5 .gallery-item {
max-width: 20%;
}
.gallery-columns-6 .gallery-item {
max-width: 16.66%;
}
.gallery-columns-7 .gallery-item {
max-width: 14.28%;
}
.gallery-columns-8 .gallery-item {
max-width: 12.5%;
}
.gallery-columns-9 .gallery-item {
max-width: 11.11%;
}
.gallery-caption {
display: block;
padding: 5px;
background: rgba(0,0,0,0.04);
background-color: rgba(0,0,0,0.04);
color: #000;
font-size: 12px;
line-height: 1em;
}

embed, 
iframe,
object, 
video {
max-width: 100%;
width: 100%;
margin: 0;
line-height: 1;
border: none;
min-height: 700px;
}
.elementor-widget-google_maps .elementor-widget-container iframe {
min-height: inherit;	
max-height: inherit;
}
@media screen and (max-width:767px){
embed, 
iframe, 
object, 
video {
max-width: 100%;
width: 100%;
min-height: 300px;
max-height: 300px;
}}

figure {
margin: 0;
}
@media screen and (max-width: 767px){
.gallery.gallery-columns-2 .gallery-item, 
.gallery.gallery-columns-3 .gallery-item,
.gallery.gallery-columns-4 .gallery-item,
.gallery.gallery-columns-5 .gallery-item,
.gallery.gallery-columns-6 .gallery-item,
.gallery.gallery-columns-7 .gallery-item,
.gallery.gallery-columns-8 .gallery-item,
.gallery.gallery-columns-9 .gallery-item {
max-width: 100%;
}}
/* End Galleries */
/* Single Post Image*/
.single-post p img {
margin-top: 20px;
margin-bottom: 20px;
border-radius: 0px;
}
figure.wp-caption{
margin-top: 20px;
margin-bottom: 20px;
}
figcaption.wp-caption-text{
display: block;
padding: 10px;
background: rgba(0,0,0,0.04);
background-color: rgba(0,0,0,0.04);
color: #000;
font-size: 12px;
line-height: 1em;
font-style: normal;
border-radius: 0px !important;
}
.wp-caption img[class*="wp-image-"] {
display: block;
margin: 0 auto 0;
max-width: 100%;
}
.wp-caption img {
position: relative;
vertical-align: bottom;
border-radius: 0px;
}
.wp-caption.alignleft {
margin: 5px 20px 10px 0;
}
.wp-caption.alignright {
margin: 5px 0px 10px 20px;
}
.wp-caption.aligncenter{
margin: 20px auto;
}
@media screen and (max-width:768px){
.wp-caption.alignleft, .wp-caption.alignright, .wp-caption.aligncenter {
margin: 20px auto;
display: block;
width: 100% !important;
float: none;
}
.wp-caption.alignleft img, .wp-caption.alignright img, .wp-caption.aligncenter img{
width: 100%;	
}}
/* End Single Post Image*/

/* Comments */
.comments-area .comment-form-cookies-consent input, 
.comments-area .comment-form-cookies-consent label{
vertical-align: middle;
display: inline;	
}

.comments-area .comment-form-cookies-consent input{
width: 14px;
display: inline-block;
}
.comments-area .comment-form-cookies-consent label{
width: 90%;	
display: inline-block;
}

.comments-area .form-submit input[type="submit"], .comments-area .form-submit .elementor-button{
font-size: 16px;
line-height: 1em;
font-weight: 400;
padding: 10px 20px;
color: #000;
border: 1px solid #000;
background: #fff;
}

.comments-area .form-submit input[type="submit"]:hover, .comments-area .form-submit .elementor-button:hover{
color: #fff;
border: 1px solid #000;
background: #000;
}

.comments-area .comment-form-cookies-consent #wp-comment-cookies-consent{
display: inline-block;
position: relative;
top: 2px !important;
margin: 0px 4px 4px 0px;
}

.comments-area .comment-form-cookies-consent{
margin: 20px 0px;	
}

.comments-area .comment-metadata, .comments-area .comment-metadata a {
color: #000;	
}

#comments.comments-area .comment-list{
margin-bottom: 20px;	
}
#comments.comments-area .comment-respond {
margin-top: 20px;	
}
#comments.comments-area .comment-respond small{
display:block;
margin: 10px 0;
width: 100%;
}
#comments.comments-area .comment-reply-title {
display: block;
width: 100%;
}
#comments.comments-area a#cancel-comment-reply-link {
font-size: 14px;
line-height: 1em;
color: rgba(0,0,0,0.4);
border: 1px solid rgba(0,0,0,0.4);
padding: 5px 10px;
}
#comments.comments-area a#cancel-comment-reply-link:hover{
color: rgba(0,0,0,1);
border: 1px solid rgba(0,0,0,1);
}
/* End Comments */


/* Accessibility -----------------------*/
.screen-reader-text {
border: 0;
clip: rect(1px, 1px, 1px, 1px);
-webkit-clip-path: inset(50%);
clip-path: inset(50%);
height: 1px;
margin: -1px;
overflow: hidden;
padding: 0;
position: absolute !important;
width: 1px;
word-wrap: normal !important;
}
.screen-reader-text:focus {
background-color: #f1f1f1;
border-radius: 3px;
-webkit-box-shadow: 0 0 2px 2px rgba(0, 0, 0, 0.6);
        box-shadow: 0 0 2px 2px rgba(0, 0, 0, 0.6);
clip: auto !important;
-webkit-clip-path: none;
clip-path: none;
color: #21759b;
display: block;
font-size: 0.875rem;
font-weight: 700;
height: auto;
left: 5px;
line-height: normal;
padding: 15px 23px 14px;
text-decoration: none;
top: 5px;
width: auto;
z-index: 100000;
}
/* Do not show the outline on the skip link target. */
#primary[tabindex="-1"]:focus {
outline: 0;
}
/* End Accessibility */
/* Clearings */
.clear:after,
.entry-content:after,
.comment-content:after,
.site-header:after,
.site-content:after,
.paging-navigation:after,
.site-footer:after,
.site-info:after,
.page-header-content-container:after,
.inside-navigation:not(.grid-container):after,
.inside-header:not(.grid-container):after,
.inside-top-bar:not(.grid-container):after,
.inside-footer-widgets:not(.grid-container):after {
content: "";
display: table;
clear: both;
}
/* End Clearings */

/* Single Post */
.single-post .single-post-content-custom p{
font-size: 18px;
line-height: 1.4em;
margin-bottom: 20px;
padding: 0;
}

.single-post .single-post-content-custom h2 {
margin-top: 60px;
margin-bottom: 20px;
}

.single-post .single-post-content-custom h3,
.single-post .single-post-content-custom h4,
.single-post .single-post-content-custom h5,
.single-post .single-post-content-custom h6{
margin-top: 30px;
margin-bottom: 20px;
}

.single-post .single-post-content-custom ul, .single-post .single-post-content-custom ol{
margin-bottom: 20px;
word-wrap: break-word;
}

.single-post .single-post-content-custom blockquote {
font-size: 18px;
line-height: 1.4em;
padding: 10px 0px 10px 40px;
margin: 40px 0px 40px 0px;
}

.single-post .single-post-content-custom blockquote p:last-child {
padding-bottom: 0px;
margin-bottom: 0px;
}

.single-post .single-post-content-custom table {
margin-top: 20px;
margin-bottom: 40px; 
}

.single-post .single-post-content-custom img, .single-post .single-post-content-custom figure {
margin-top: 40px;
margin-bottom: 40px; 
}


@media screen and (max-width: 768px){
.single-post .single-post-content-custom blockquote {
padding: 10px 0px 10px 20px;
margin: 40px 0px 40px 0px;
}}

.single-post .single-post-content-custom a {
    font-weight: 700;
    text-decoration: underline;
}

/* End Single Post */


/* single page */
.page .page-content .elementor ul, .page .page-content .elementor ol{
margin-bottom: 20px;
word-wrap: break-word;
}
/* end single page */








/* END BLOG POST & GLOBAL */

/* --- TABLE --- */
table,
table p strong, 
table p, 
table span, 
table strong, 
table h1, 
table h2, 
table h3, 
table h4, 
table h5, 
table h6 {
word-wrap: normal;
word-break: normal;
}

table, 
.table.primary {
background-color:;
overflow: auto;
overflow-x: auto;
overflow-y: hidden;
width: 100%;
max-width: 100%;
min-width: auto;
border: 1px solid #eee;
border-spacing: 0px;
}

tbody, td, tr, th {
width: auto; 
max-width: auto; 
min-width: auto;
}

tr, tbody, td, th {
border: 1px solid #eee; 
}

@media screen and (max-width: 768px){
table {
padding: 5px;
text-align: center;  
border: none;
}    
table tbody, table thead  {
width: auto;
max-width: auto;
min-width: auto;
padding: 0px;
}
table th, table td, table tr {
padding: 5px;
font-size: 10px;
line-height: 10px;
vertical-align: middle;
width: 100%;
max-width: 100%;
min-width: auto;
}} 

@media screen and (max-width: 400px){
table th, table td, table tr {
font-size: 8px;
line-height: 1em;
}}

@media screen and (max-width: 310px){
table {
word-break:break-word;
}
table th, table td, table tr {
font-size: 3vw;
line-height: 1em;
}}


/* page table additional custom */
.page .page-content .elementor table {
border-radius: 0px !important;
background: #fff;
border: 1px solid #ccc;
margin-top: 0px;
margin-bottom: 20px;
}

.page .page-content .elementor table td,
.page .page-content .elementor table th {
    font-style: normal;
    padding: 10px 10px 10px 20px;
    border-top: 0;
    border-bottom: 1px solid #ccc ;
    margin: 0;
    line-height: 1;
    vertical-align:middle;
    line-height: 1.4em;
}

.page .page-content .elementor table th, 
.page .page-content .elementor table td {
vertical-align: middle;
border: none;
border: 1px solid #ccc;
text-align: left;
}

.page .page-content .elementor table th {
border-right: 1px solid #ccc !important;	
border-bottom: 1px solid #ccc !important;	
}


@media screen and (max-width:768px){
.page .page-content .elementor table thead th, 
.page .page-content .elementor table tfoot th {
    font-size: 14px;
}
.page .page-content .elementor table tr td {
width: auto;  
font-size: 14px;
padding: 5px;
}}
/* page table additional custom */

/* post table additional custom */
.single-post .single-post-content-custom table {
border-radius: 0px !important;
background: #fff;
border: 1px solid #ccc;
margin-top: 30px;
margin-bottom: 30px;
}

.single-post .single-post-content-custom table td,
.single-post .single-post-content-custom table th {
    font-style: normal;
    padding: 10px 10px 10px 20px;
    border-top: 0;
    border-bottom: 1px solid #ccc ;
    margin: 0;
    line-height: 1;
    vertical-align:middle;
    line-height: 1.4em;
}

.single-post .single-post-content-custom table th, 
.single-post .single-post-content-custom table td {
vertical-align: middle;
border: none;
border: 1px solid #ccc;
text-align: left;
}

.single-post .single-post-content-custom table th {
border-right: 1px solid #ccc !important;	
border-bottom: 1px solid #ccc !important;	
}

@media screen and (max-width:768px){
.single-post .single-post-content-custom table thead th, 
.single-post .single-post-content-custom table tfoot th {
    font-size: 14px;
}
.single-post .single-post-content-custom table tr td {
width: auto;  
font-size: 14px;
padding: 5px;
}}

/* post table additional custom */


/* --- END TABLE --- */


/* --- Pages --- */

/* --- End Pages --- */



/* --- Footer --- */
.elementor .footer-copy-links a{
    color: #fff;
}
.elementor .footer-copy-links a:hover{
    color: #E37901;
}
/* --- End Footer --- */


/* WPML lang switcher */
.elementor .custom-lang-switcher .wpml-ls-statics-shortcode_actions {
    padding: 0;
}

.elementor .custom-lang-switcher .wpml-ls-statics-shortcode_actions ul li.wpml-ls-item a.wpml-ls-link {
    padding: 2px 2px;
    color: #ddd;
    font-size: 16px;
    margin-left: 8px;
}

.elementor .custom-lang-switcher .wpml-ls-statics-shortcode_actions ul li.wpml-ls-item a.wpml-ls-link:hover {
    color: #FF9319;
}

.elementor .custom-lang-switcher.custom-lang-switcher-mob .wpml-ls-statics-shortcode_actions ul li.wpml-ls-item a.wpml-ls-link {
    padding: 2px 10px;
    font-size: 18px;
    margin-left: 0px;
}
/* WPML lang switcher */

@media screen and (max-width:1198px){
.elementor .elementor-widget-nav-menu .elementor-sub-item {
    text-align:center;
}}


/* Cookies */
.seopress-user-consent #seopress-user-consent-accept {
    border-color: #FACA23;
    font-weight:400;
    text-transform: uppercase;
    border-radius: 90px;
}

.seopress-user-consent #seopress-user-consent-accept:hover {
    color: #FACA23;
    background: #2B2A29;
    border-color: #2B2A29;
}

.seopress-user-consent #seopress-user-consent-close{
    background: #2B2A29;
    border-color: #2B2A29;
    font-weight:400;
    text-transform: uppercase;    
    border-radius: 90px;
}

.seopress-user-consent #seopress-user-consent-close:hover{
    color:  #FACA23;
    background: #2B2A29;
    border-color: #2B2A29;
}
/* End Cookies */


/* --- BACK-TO-TOP --- */
.backtotopout {
width: 40px;
height: 40px;
position:fixed;
right: 10px;
left: auto;
top: auto;
bottom: 10px;
z-index: 999;
display: none;
}
.backtopin {
width: 40px;
height: 40px;
background-color: rgba(0,0,0,.4);
margin: 0 auto;  
text-align: center;
-webkit-box-sizing: border-box;
        box-sizing: border-box;
display: block;
padding-top: 6px;
border-radius: 5px;
-webkit-box-shadow: 0px 6px 20px -6px rgba(0,0,0,0.3);
        box-shadow: 0px 6px 20px -6px rgba(0,0,0,0.3);
} 
.backtopin:hover {
background-color: rgba(0,0,0,.9);	
}
.b-arrow-one {
height: 15px;
width: 15px;
border-left: 2px solid #ccc;
border-top: 2px solid #ccc;
margin-left: auto; 
margin-right: auto; 
margin-top: 10px;
-webkit-transform: rotate(45deg);
    -ms-transform: rotate(45deg);
        transform: rotate(45deg);
}
.backtopin:hover .b-arrow-one {
border-left: 2px solid #fff;
border-top: 2px solid #fff;
}
@media screen and (max-width:767px){
.backtopin {display:none;}
}
/* --- END BACK-TO-TOP --- */

/* --- SELECTION --- */
::-moz-selection {
background-color: #000;
color: #fff;
}
::selection {
background-color: #000;
color: #fff;
}
/* --- END SELECTION --- */

/* --- FOCUS --- */
input[type=search]:focus {
outline: none;
}
:focus {
outline: none;
}
a:focus {
outline: none;
}
[type=button]:focus, [type=submit]:focus, button:focus,
body [type=button]:focus, body [type=submit]:focus, body button:focus{
outline: none !important;
outline: 0px auto -webkit-focus-ring-color !important;
}
/* --- END FOCUS --- */

/* --- SCROLL BAR --- */
::-webkit-scrollbar{width:6px;height:12px}
::-webkit-scrollbar-button{width:0;height:0}
::-webkit-scrollbar-thumb{background:#000;border:0 none #000;border-radius:0}
::-webkit-scrollbar-thumb:hover{background:#000}
::-webkit-scrollbar-thumb:active{background:#000}
::-webkit-scrollbar-track{background:#eee;border:0 none #000;border-radius:0}
::-webkit-scrollbar-track:hover{background:#eee}
::-webkit-scrollbar-track:active{background:#eee}
::-webkit-scrollbar-corner{background:transparent}
/* --- END SCROLL BAR --- */